Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.java.ao.cache
Class RAMRelationsCache

    java.lang.Object
      net.java.ao.cache.RAMRelationsCache

All Implemented Interfaces:
  RelationsCache

    public class RAMRelationsCache

extends Object
implements RelationsCache

Author:
  Daniel Spiewak

Constructor Summary
`RAMRelationsCache()`

Method Summary
`void` | `flush()`
`
`<T extends RawEntity<K>,K> T[]`
` | `get(RawEntity<?> from, Class<T> toType, Class<? extends RawEntity<?>> throughType, String[] fields)`
`void` | `put(RawEntity<?> from, RawEntity<?>[] through, Class<? extends RawEntity<?>> throughType, RawEntity<?>[] to, Class<? extends RawEntity<?>> toType, String[] fields)`
`void` | `remove(Class<? extends RawEntity<?>>... types)`
`void` | `remove(RawEntity<?> entity, String[] fields)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RAMRelationsCache

    public RAMRelationsCache()

Method Detail

### flush

    public void flush()

  Specified by:
    `flush` in interface `RelationsCache`

### put

    public void put(RawEntity<?> from,
                    RawEntity<?>[] through,
                    Class<? extends RawEntity<?>> throughType,
                    RawEntity<?>[] to,
                    Class<? extends RawEntity<?>> toType,
                    String[] fields)

  Specified by:
    `put` in interface `RelationsCache`

### get

    public <T extends RawEntity<K>,K> T[] get(RawEntity<?> from,
                                              Class<T> toType,
                                              Class<? extends RawEntity<?>> throughType,
                                              String[] fields)

  Specified by:
    `get` in interface `RelationsCache`

### remove

    public void remove(Class<? extends RawEntity<?>>... types)

  Specified by:
    `remove` in interface `RelationsCache`

### remove

    public void remove(RawEntity<?> entity,
                       String[] fields)

  Specified by:
    `remove` in interface `RelationsCache`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2011. All Rights Reserved.